Federated blogging application, thanks to ActivityPub https://joinplu.me
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

84 lines
2.1 KiB

  1. [package]
  2. authors = ["Plume contributors"]
  3. name = "plume"
  4. version = "0.6.1-dev"
  5. repository = "https://github.com/Plume-org/Plume"
  6. edition = "2018"
  7. [dependencies]
  8. activitypub = "0.1.3"
  9. askama_escape = "0.1"
  10. atom_syndication = "0.6"
  11. clap = "2.33"
  12. dotenv = "0.15.0"
  13. gettext = { git = "https://github.com/Plume-org/gettext/", rev = "294c54d74c699fbc66502b480a37cc66c1daa7f3" }
  14. gettext-macros = { git = "https://github.com/Plume-org/gettext-macros/", rev = "a7c605f7edd6bfbfbfe7778026bfefd88d82db10" }
  15. gettext-utils = { git = "https://github.com/Plume-org/gettext-macros/", rev = "a7c605f7edd6bfbfbfe7778026bfefd88d82db10" }
  16. guid-create = "0.1"
  17. lettre = "0.9.2"
  18. lettre_email = "0.9.2"
  19. num_cpus = "1.10"
  20. rocket = "0.4.6"
  21. rocket_contrib = { version = "0.4.5", features = ["json"] }
  22. rocket_i18n = { git = "https://github.com/Plume-org/rocket_i18n", rev = "e922afa7c366038b3433278c03b1456b346074f2" }
  23. rpassword = "4.0"
  24. scheduled-thread-pool = "0.2.2"
  25. serde = "1.0"
  26. serde_json = "1.0"
  27. shrinkwraprs = "0.2.1"
  28. validator = "0.8"
  29. validator_derive = "0.8"
  30. webfinger = "0.4.1"
  31. tracing = "0.1.22"
  32. tracing-subscriber = "0.2.15"
  33. riker = "0.4.2"
  34. [[bin]]
  35. name = "plume"
  36. path = "src/main.rs"
  37. [dependencies.chrono]
  38. features = ["serde"]
  39. version = "0.4"
  40. [dependencies.ctrlc]
  41. features = ["termination"]
  42. version = "3.1.2"
  43. [dependencies.diesel]
  44. features = ["r2d2", "chrono"]
  45. version = "1.4.5"
  46. [dependencies.multipart]
  47. default-features = false
  48. features = ["server"]
  49. version = "0.16"
  50. [dependencies.plume-api]
  51. path = "plume-api"
  52. [dependencies.plume-common]
  53. path = "plume-common"
  54. [dependencies.plume-models]
  55. path = "plume-models"
  56. [dependencies.rocket_csrf]
  57. git = "https://github.com/fdb-hiroshima/rocket_csrf"
  58. rev = "29910f2829e7e590a540da3804336577b48c7b31"
  59. [build-dependencies]
  60. ructe = "0.13.0"
  61. rsass = "0.9"
  62. [features]
  63. default = ["postgres"]
  64. postgres = ["plume-models/postgres", "diesel/postgres"]
  65. sqlite = ["plume-models/sqlite", "diesel/sqlite"]
  66. debug-mailer = []
  67. test = []
  68. search-lindera = ["plume-models/search-lindera"]
  69. [workspace]
  70. members = ["plume-api", "plume-cli", "plume-models", "plume-common", "plume-front", "plume-macro"]